VMware vSphere Automation SDK for .NET 6.5.0

- Main Page
- Namespaces
- Classes
- Files

- Class List
- Class Index
- Class Hierarchy
- Class Members

Public Member Functions
vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig Class Reference

`User.NewUserConfig` class Structure that defines a new user configuration. More...

List of all members.

## Public Member Functions
| NewUserConfig ()
| Creates a default new instance.
string | GetUsername ()
| User login name.
void | SetUsername (string username)
| User login name.
vmware.appliance.techpreview.localaccounts.UserTypes.UserRole | GetRole ()
| User roles.
void | SetRole (vmware.appliance.techpreview.localaccounts.UserTypes.UserRole role)
| User roles.
char[] | GetPassword ()
| User login password In Interactive mode, provide --password as part of the command, and enter the value on the prompt.
void | SetPassword (char[] password)
| User login password In Interactive mode, provide --password as part of the command, and enter the value on the prompt.
string | GetFullname ()
| User full name.
void | SetFullname (string fullname)
| User full name.
string | GetEmail ()
| Email address of the local account.
void | SetEmail (string email)
| Email address of the local account.
vmware.vapi.bindings.type.StructType | _GetType ()
vmware.vapi.data.StructValue | _GetDataValue ()
void | _Validate ()
bool | _HasTypeNameOf< T > ()
T | _ConvertTo< T > ()
override bool | Equals (object obj)
override int | GetHashCode ()
override string | ToString ()

## Detailed Description

`User.NewUserConfig` class Structure that defines a new user configuration.

## Constructor & Destructor Documentation

vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::NewUserConfig | ( |  | ) | `[inline]`

Creates a default new instance.

## Member Function Documentation

T vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::_ConvertTo< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

vmware.vapi.data.StructValue vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::_GetDataValue | ( |  | ) | `[inline]`

vmware.vapi.bindings.type.StructType vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::_GetType | ( |  | ) | `[inline]`

bool vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::_HasTypeNameOf< T > | ( |  | ) | `[inline]`

Type Constraints

  T | : | vmware.vapi.bindings.IStructure |

void vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::_Validate | ( |  | ) | `[inline]`

override bool vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::Equals | ( | object | obj | ) | `[inline]`

string vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::GetEmail | ( |  | ) | `[inline]`

Email address of the local account.

string vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::GetFullname | ( |  | ) | `[inline]`

User full name.

override int vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::GetHashCode | ( |  | ) | `[inline]`

char [] vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::GetPassword | ( |  | ) | `[inline]`

User login password In Interactive mode, provide --password as part of the command, and enter the value on the prompt.

When accessed remotely, provide --password value as part the command.

vmware.appliance.techpreview.localaccounts.UserTypes.UserRole vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::GetRole | ( |  | ) | `[inline]`

User roles.

The default role is operator.

string vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::GetUsername | ( |  | ) | `[inline]`

User login name.

void vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::SetEmail | ( | string | email | ) | `[inline]`

Email address of the local account.

void vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::SetFullname | ( | string | fullname | ) | `[inline]`

User full name.

void vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::SetPassword | ( | char[] | password | ) | `[inline]`

User login password In Interactive mode, provide --password as part of the command, and enter the value on the prompt.

When accessed remotely, provide --password value as part the command.

void vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::SetRole | ( | vmware.appliance.techpreview.localaccounts.UserTypes.UserRole | role | ) | `[inline]`

User roles.

The default role is operator.

void vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::SetUsername | ( | string | username | ) | `[inline]`

User login name.

override string vmware::appliance::techpreview::localaccounts::UserTypes::NewUserConfig::ToString | ( |  | ) | `[inline]`

The documentation for this class was generated from the following file:

- UserTypes.cs